import { CalendarEvent } from '../CalendarEvent';
import { Calendar } from '../Calendar';
export declare const SECONDS_IN_DAY: number;
export declare const SECONDS_IN_WEEK: number;
export declare enum DAYS_OF_WEEK {
    SUNDAY = 0,
    MONDAY = 1,
    TUESDAY = 2,
    WEDNESDAY = 3,
    THURSDAY = 4,
    FRIDAY = 5,
    SATURDAY = 6,
}
export declare function getWeekView({events, calendars, viewDate, hourSegments, dayStart, dayEnd, segmentHeight, weekStartsOn}: {
    events: CalendarEvent[];
    calendars?: Calendar[];
    viewDate: any;
    hourSegments: any;
    dayStart: Date;
    dayEnd: Date;
    segmentHeight: any;
    weekStartsOn: number;
}): {
    days: any[];
    allDays: any[];
};
export declare function getWeekViewEventSpan({event, offset, startOfWeekDate, excluded, precision}: {
    event: CalendarEvent;
    offset: number;
    startOfWeekDate: Date;
    excluded: number[];
    precision?: 'minutes' | 'days';
}): number;
export declare function getWeekViewEventOffset({event, startOfWeek: startOfWeekDate, excluded, precision}: {
    event: CalendarEvent;
    startOfWeek: Date;
    excluded?: number[];
    precision?: 'minutes' | 'days';
}): number;
export declare function getExcludedSeconds({startDate, seconds, excluded, precision}: {
    startDate: Date;
    seconds: number;
    excluded: number[];
    precision?: 'minutes' | 'days';
}): number;
